Loading...
Searching...
No Matches
OBSSMatch Class Reference

`#include <openbabel/parsmart.h>`

## Public Member Functions

| OBSSMatch (OBMol &, const Pattern *)
| ~OBSSMatch ()
void | Match (std::vector< std::vector< int > > &v, int bidx=-1)

## Protected Attributes

bool * | _uatoms
OBMol * | _mol
const Pattern * | _pat
std::vector< int > | _map

## Detailed Description

Internal class: performs fast, exhaustive matching used to find just a single match in match() using recursion and explicit stack handling.

## Constructor & Destructor Documentation

## OBSSMatch()

OBSSMatch | ( | OBMol & | mol,
|  | const Pattern * | pat )

## ~OBSSMatch()

~OBSSMatch | ( |  | ) |

## Member Function Documentation

## Match()

void Match | ( | std::vector< std::vector< int > > & | v,
|  | int | bidx = -1 )

Referenced by Match(), and OBSmartsMatcher::match().

## Member Data Documentation

## _uatoms

bool* _uatoms

protected

Referenced by Match(), OBSSMatch(), and ~OBSSMatch().

## _mol

OBMol* _mol

protected

Referenced by Match(), and OBSSMatch().

## _pat

const Pattern* _pat

protected

Referenced by Match(), and OBSSMatch().

## _map

std::vector<int> _map

protected

Referenced by Match(), and OBSSMatch().

The documentation for this class was generated from the following files:

- parsmart.h
- parsmart.cpp